# Performs a number lookup.

Endpoint: POST /v1/lookups
Version: 0.1.0
Security: Basic, Application

## Security:

  - `Basic` (unknown)
    http basic

  - `Application` (unknown)
    apiKey in header Authentication

## Request fields (application/json):

  - `number` (string, required)
    MSISDN in E.164 format to query.
    Example: +12312312312

  - `features` (array)
    Contains requested features. Fallback to LineType if not provided.

  - `rndFeatureOptions` (object)
    Required when RND feature is requested.

  - `rndFeatureOptions.contactDate` (string)
    Last contact date in YYYY-MM-DD format.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `line` (object)
    An object containing information about the line type of the number.

  - `line.carrier` (string)
    Name of the carrier.
    Example: T-Mobile USA

  - `line.type` (string)
    Number type e.g. wireless, mobile, fixed.
    Enum: "Landline", "Mobile", "VoIP", "Special", "Freephone", "Other"

  - `line.mobileCountryCode` (string)
    A numeric code (MCC) that uniquely identifies a country within the international telecommunications network.
    Example: 310

  - `line.mobileNetworkCode` (string)
    A distinct identifier assigned to a mobile network operator within a specific country, used in combination with MCC.
    Example: 260

  - `line.ported` (boolean)
    Indicates if a phone number has been transferred from its original network to a different provider.
    Example: true

  - `line.portingDate` (string)
    Specifies the date, in ISO 8601 format, when a phone number was transferred from its original network to a new provider.
    Example: 2000-01-01 00:00:00+00:00

  - `line.error` (object)

  - `line.error.status` (integer)
    The error status code.

  - `line.error.title` (string)
    A short, human-readable summary of the error type.

  - `line.error.detail` (string)
    A human-readable explanation specific to this occurrence of the error.

  - `line.error.type` (string)
    A URI reference that identifies the error type.

  - `simSwap` (object)
    An object containing information about the SimSwap verification performed on the number.

  - `simSwap.swapped` (boolean)
    Indicates whether SIM was changed.
    Example: true

  - `simSwap.swapPeriod` (string)
    Threshold for sim swap check.
    Enum: "Undefined", "SP4H", "SP12H", "SP24H", "SP48H", "SP5D", "SP7D", "SP14D", "SP30D", "SPMAX"

  - `simSwap.error` (object)

  - `voIPDetection` (object)
    An object containing information about the VoIP detection performed on the number.

  - `voIPDetection.probability` (string)
    Probability of number being VoIP based on the AI analysis.
    Enum: "Unknown", "Low", "Likely", "High"

  - `voIPDetection.error` (object)

  - `rnd` (object)
    An object containing information whether number is disconnected.

  - `rnd.disconnected` (boolean)
    Provides information whether the number was disconnected after provided last contact date.

  - `rnd.error` (object)

  - `countryCode` (string)
    ISO 3166-1 alpha-2 two-letter country identifier

  - `traceId` (string)
    The identifier for a trace.
    Example: 84c1fd4063c38d9f3900d06e56542d48

  - `number` (string)
    Requested MSISDN in E.164 format.
    Example: +12312312312

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

## Response 401:

  - `401` (unknown)
    Invalid Authorization

## Response 401 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

## Response 402:

  - `402` (unknown)
    Account Locked

## Response 402 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

## Response 403:

  - `403` (unknown)
    API disabled

## Response 403 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 429 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

## Response 500:

  - `500` (unknown)
    Internal Error

## Response 500 fields (application/json):

  - `type` (string)
    A URI reference that identifies the problem type.

  - `title` (string)
    A short, human-readable summary of the problem type.

  - `status` (integer)
    The HTTP status code.

  - `traceId` (string)
    The identifier for a trace.
    Example: 00-84c1fd4063c38d9f3900d06e56542d48-85d1d4-00

